com.thinkaurelius.titan.core

## Interface VertexLabel

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, Namifiable, Removable, TitanElement, TitanSchemaElement, TitanSchemaType, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Subinterfaces:
    InternalVertexLabel
  All Known Implementing Classes:
    BaseVertexLabel, VertexLabelVertex

      public interface VertexLabel
      extends TitanVertex, TitanSchemaType

  A vertex label is a label attached to vertices in a Titan graph. This can be used to define the nature of a vertex.

  Internally, a vertex label is also used to specify certain characteristics of vertices that have a given label.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPartitioned()` Whether vertices with this label are partitioned.
    `boolean` | `isStatic()` Whether vertices with this label are static, that is, immutable beyond the transaction in which they were created.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

- - ### Method Detail

    - #### isPartitioned

          boolean isPartitioned()

      Whether vertices with this label are partitioned.
      Returns:

    - #### isStatic

          boolean isStatic()

      Whether vertices with this label are static, that is, immutable beyond the transaction in which they were created.
      Returns:

Copyright © 2012–2014. All rights reserved.